<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<title>Test</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
			<br>
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a>
				<li><a href="/profil">Mein Profil</a>
				<li class="current_page_item"><a href="/projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a>
				</li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Budgetposten erfassen</h2>
				<hr>
            </div>  
            <span class="byline">Bitte füllen Sie alle Felder aus.</span>
			<form action="#" th:action="${postAction}" method="post" th:object="${costDetail}">
				<div class="errormsg">
					<span th:text="${error}"></span>
	        	</div>
	        	<input type="hidden" name="projectId" th:value="${projectId}" />
	            <div class="col-3 field">
					<select name="costDetail.workpackagename" style="width: 320px; height: 30px; font-size: 20px;">
						<option value="" selected>Bitte ein Workpackage auswählen</option>
								<option th:if="${costDetail.workpackage != null}"
								th:each="workpackagename: ${workpackageList}"
								th:value="${workpackagename.id}"
								th:utext="${workpackagename.workpackagename}"
								th:selected="${costDetail.workpackage.workpackagename}==${workpackagename.workpackagename}" />
								<option th:if="${costDetail.workpackage == null}"
								th:each="workpackagename: ${workpackageList}"
								th:value="${workpackagename.id}"
								th:utext="${workpackagename.workpackagename}" />
					</select>			
				</div>                 
	        	<div class="col-3 field">
					<select name="costDetail.username" style="width: 320px; height: 30px; font-size: 20px;">
						<option value="" selected>Bitte den User auswählen</option>
							<option th:if="${costDetail.user != null}"
							  th:each="user: ${userList}"
							  th:value="${user.id}"
							  th:utext="${user.username}"
							  th:selected="${costDetail.user.username}==${user.username}" />
							<option th:if="${costDetail.user == null}"
							  th:each="user: ${userList}"
							  th:value="${user.id}"
							  th:utext="${user.username}" />
					 </select>			
				</div>   
				<div class="col-3 field"> 
	            <input id="Beschreibung" type="text" name="costDetail.beschreibung" placeholder="" th:value="*{beschreibung}" required />
	                <label for="Beschreibung">Beschreibung</label> 
	            </div>            
				<div class="col-3 field">
					<input id="Betrag" type="text" name="costDetail.betrag" placeholder="" th:value="*{betrag}" required />
					<label for="Betrag">Betrag</label>
	            </div> 
				<div class="col-3 field">		
					<input id="Datum" type="date" name="costDetail.datum" placeholder="" th:value="*{datum}" required onchange="checkEnde()" />
					<label for="Datum">Datum</label>
				</div>
		  			<input type="submit" class="button" align="center" value="Budgetposten erfassen">	
	        </form>  
		</div>
	</div>
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>